#include <vector>
#include <string>

using namespace std;

class M3uPlayList
{
    public:
        M3uPlayList(const char* p);
        ~M3uPlayList();
        void        Next();
        int         Size()      { return paths.size(); }
        const char* GetPath()   { return paths.front().c_str(); }
        const char* GetName()   { return names.front().c_str(); }
        int         GetIndex()  { return index.front(); }

    private:
        std::vector<std::string> paths;
        std::vector<std::string> names;
        std::vector<int>         index; // Only used in OldPlay playlists
};

